## com.vividsolutions.jts.index.chain
Class MonotoneChainSelectAction

    java.lang.Object
      com.vividsolutions.jts.index.chain.MonotoneChainSelectAction

Direct Known Subclasses:
  MCIndexPointSnapper.HotPixelSnapAction

public class MonotoneChainSelectAction
extends java.lang.Object

The action for the internal iterator for performing envelope select queries on a MonotoneChain

Version:
  1.7

Constructor Summary
`MonotoneChainSelectAction()`

Method Summary
`void` `select(LineSegment seg)` This is a convenience function which can be overridden to obtain the actual line segment which is selected
`void` `select(MonotoneChain mc, int start)` This function can be overridden if the original chain is needed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonotoneChainSelectAction

    public MonotoneChainSelectAction()

Method Detail

### select

    public void select(MonotoneChain mc,
                       int start)

  This function can be overridden if the original chain is needed

### select

    public void select(LineSegment seg)

  This is a convenience function which can be overridden to obtain the actual line segment which is selected

  Parameters:
    `seg` -